#include "Max.h"
#include <iostream>
#include <iomanip>
#include <string>
using namespace std;

int main()
{
  cout << fixed << showpoint << setprecision(1);
  
  Max obj1{3, 4};
  cout << "Max value in object is: " << obj1.findMax() << endl;

  //Max<int> obj1{3, 4};
  //cout << "Max value in object is: " << obj1.findMax() << endl;
   
  //Max<double> obj2{3.1, 3.2};
  //cout << "Max value in object is: " << obj2.findMax() << endl;

  //Max<char> obj3{'a', 'b'};
  //cout << "Max value in object is: " << obj3.findMax() << endl;
  
  return 0;
}